/**
     Class CXCVMDistEQ: the class models the distribution function of the Cramer-von Mises
                   test statistic under null hypothesis for the case of equal sample size

     Copyright (c) 2006 Yuanhui Xiao

     This program is free software; you can redistribute it 
     and/or modify it under the terms of the 
     GNU General Public License as published by 
     the Free Software Foundation;
     either version 2 of the License, 
     or (at your option) any later version.

     This program is distributed in the hope that it will be useful, 
     but WITHOUT ANY WARRANTY; without even the implied warranty of 
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See 
     the GNU General Public License for more details.

     You should have received a copy of the GNU General Public License 
     along with this program; if not, write to:

        the Free Software Foundation, Inc.
        51 Franklin St, Fifth
        Floor, Boston, MA 02110-1301, USA.

     Contact information: 
     E-mail: matyxx@langate.gsu.edu
     Adress:
        Department of Mathematics and Statistics
        Georgia State University
        750 COE, 30 Pryor Street
        Atlanta, GA 30303, USA
*/

#include "XCVMDist.h"
#include "XFreqFunct.h"

#include <iostream>
#include <iomanip>

#ifndef CXCVMDistEQ_H
#define CXCVMDistEQ_H

class CXCVMDistEQ : public CXCVMDist{

public:

  CXCVMDistEQ(int nA, int iFF=FFS); // constructor

protected:

  virtual void TabulateFreqFunct();    // tabulates the prob distribution function
  virtual void TabulateFreqFuncts();   // tabulates the tables at middle stage

  virtual double GetTailProb_FFs(int Q)  const; // return the tail prob.
                                      // the freq. functs at middle stage are given                                      
};
#endif
