/**
     File XCVMDistNE1.cpp: implementation of class CXCVMDistNE1

     Copyright (c) 2006 Yuanhui Xiao

     This program is free software; you can redistribute it 
     and/or modify it under the terms of the 
     GNU General Public License as published by 
     the Free Software Foundation;
     either version 2 of the License, 
     or (at your option) any later version.

     This program is distributed in the hope that it will be useful, 
     but WITHOUT ANY WARRANTY; without even the implied warranty of 
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See 
     the GNU General Public License for more details.

     You should have received a copy of the GNU General Public License 
     along with this program; if not, write to:

        the Free Software Foundation, Inc.
        51 Franklin St, Fifth
        Floor, Boston, MA 02110-1301, USA.

     Contact information: 
     E-mail: matyxx@langate.gsu.edu
     Adress:
        Department of Mathematics and Statistics
        Georgia State University
        750 COE, 30 Pryor Street
        Atlanta, GA 30303, USA
*/

#include "XCVMDistNE1.h"

CXCVMDistNE1::CXCVMDistNE1(int nA, int nB, int iFF)
          :CXCVMDist(nA, nB, iFF)
{
}

double CXCVMDistNE1::GetTailProb_FFs(int Q) const
{
   double dFreq = 0;
   for(int i=m_nA; i>=m_nA/2+1; i--){

      int d = (m_nP+m_nQ)*(2*i-m_nA)/2;
      dFreq += m_functs[i].GetConvolutionTail(m_functs[m_nA-i], Q+d*d);
   }

   dFreq *= 2;
   if(0 == m_nA%2)
     dFreq += m_functs[m_nA/2].GetConvolutionTail(Q);

   return dFreq/m_dFreqSum;
}
