/**
     Class CXCVMDistNE2: the class models the distribution function of the Cramer-von Mises
                      test statistic under null hypothesis for the case m != n and m+n is odd
     
     Copyright (c) 2006 Yuanhui Xiao

     This program is free software; you can redistribute it 
     and/or modify it under the terms of the 
     GNU General Public License as published by 
     the Free Software Foundation;
     either version 2 of the License, 
     or (at your option) any later version.

     This program is distributed in the hope that it will be useful, 
     but WITHOUT ANY WARRANTY; without even the implied warranty of 
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See 
     the GNU General Public License for more details.

     You should have received a copy of the GNU General Public License 
     along with this program; if not, write to:

        the Free Software Foundation, Inc.
        51 Franklin St, Fifth
        Floor, Boston, MA 02110-1301, USA.

     Contact information: 
     E-mail: matyxx@langate.gsu.edu
     Adress:
        Department of Mathematics and Statistics
        Georgia State University
        750 COE, 30 Pryor Street
        Atlanta, GA 30303, USA
*/

#include "XCVMDist.h"
#include "XFreqFunct.h"

#include <iostream>
#include <iomanip>

#ifndef CXCVMDistNE2_H
#define CXCVMDistNE2_H

class CXCVMDistNE2 : public CXCVMDist{

public:

  CXCVMDistNE2(int nA, int nB, int iFF=FFS); // constructor

protected:

  double GetTailProb_FFs(int Q)  const; // return the tail prob., 
                                       // the freq. functs at middle stage are given
};
#endif
